| Home · API Reference · Modules

Public Member Functions | List of all members
Maliit::Plugins::InputMethodPlugin Class Referenceabstract
Plugin API

`#include <inputmethodplugin.h>`

Inheritance diagram for Maliit::Plugins::InputMethodPlugin:
[legend]

## Public Member Functions

virtual QString | name () const =0
virtual MAbstractInputMethod * | createInputMethod (MAbstractInputMethodHost *host)=0
virtual QSet< Maliit::HandlerState > | supportedStates () const =0

## Detailed Description

An interface class for all input method plugins.

To create a virtual keyboard / input method plugin, re-implement the virtual functions and instantiate the input method implementation in the createInputMethod() method. Make sure your plugin links against the m im framework library as well.

## Member Function Documentation

## ◆ createInputMethod()

virtual MAbstractInputMethod * Maliit::Plugins::InputMethodPlugin::createInputMethod | ( | MAbstractInputMethodHost * | host | ) |

pure virtual

Creates and returns the MAbstractInputMethod object for this plugin. This function will be only called once and the allocated resources will be owned by the input method server.

## ◆ name()

virtual QString Maliit::Plugins::InputMethodPlugin::name | ( |  | ) | const

pure virtual

Implement this function to return the identifier for this input method.

## ◆ supportedStates()

virtual QSet< Maliit::HandlerState > Maliit::Plugins::InputMethodPlugin::supportedStates | ( |  | ) | const

pure virtual

Returns set of states which could be handled by this plugin.

WARNING: If result is empty then this plugin will not be loaded during startup.

Copyright © 2011 Nokia Corporation |  | Maliit